import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi"


/**
 * 组列表查询
 * @param {} query 
 * @returns 
 */
export function queryAll(query) {
  return request({
    url: '/console/usergroup/queryAll',
    method: 'get',
    params: query
  })
}


export function query(data) {
  return request({
    url: '/console/usergroup/query',
    method: 'post',
    data: data
  })
}


export function initEdit(data) {
  return request({
    url: '/console/usergroup/initEdit',
    method: 'post',
    data: data
  })
}


  export function add(data) {
    return request({
      url: '/console/usergroup/add',
      method: 'post',
      data: data
    })
  }

  export function modify(data) {
    return request({
      url: '/console/usergroup/modify',
      method: 'post',
      data: data
    })
  }
  
  export function del(data) {
    return request({
      url: '/console/usergroup/del',
      method: 'post',
      data: data
    })
  }

  export function checkNameExit(query) {
    return request({
      url: '/console/usergroup/checkNameExit',
      method: 'get',
      params: query
    })
  }

